import pandas as pd
import numpy as np


bs_file = "/home/fadwa/Téléchargements/Megalodon_bedfiles/BS_seq.bed"
bed_file = "/home/fadwa/Téléchargements/Megalodon_bedfiles/WT_Megalodon_position.bed"


bs_data = pd.read_csv(bs_file, sep="\t", names=['chromosome', 'start', 'end'])
bed_data = pd.read_csv(bed_file, sep="\t", names=['chromosome', 'start', 'end'])

true_positives = sum(bed_data.apply(lambda row: row.tolist() in bs_data.values.tolist(), axis=1))
false_positives = len(bed_data) - true_positives
false_negatives = len(bs_data) - true_positives

print(true_positives)

"""
true_positives = 0
false_positives = 0

for region in bed_data:
    chromosome, start, end = region
    matching_regions = [bs_region for bs_region in bs_data if bs_region[0] == chromosome]
    if any(start <= bs_start <= end for _, bs_start, _ in matching_regions):
        true_positives += 1
    else:
        false_positives += 1

false_negatives = len(bs_data) - true_positives

precision = true_positives / (true_positives + false_positives)
recall = true_positives / (true_positives + false_negatives)
f_score = 2 * (precision * recall) / (precision + recall)

print("Precision:", precision)
print("Recall:", recall)
print("F-score:", f_score)

"""
